post.hpp File Reference
`#include <gecode/int/linear.hh>`
`#include <gecode/int/distinct.hh>`

Go to the source code of this file.

## Classes

class | Gecode::Int::GCC::CardLess< Card >
| Sort by increasing cardinality More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::GCC
| Global cardinality propagators (Counting).

## Functions

template<class Card>
ExecStatus | Gecode::Int::GCC::postSideConstraints (Home home, ViewArray< IntView > &x, ViewArray< Card > &k)
| Post side constraints for the GCC.
template<class Card>
bool | Gecode::Int::GCC::isDistinct (ViewArray< IntView > &x, ViewArray< Card > &k)
| Check if GCC is equivalent to distinct.